# ApplicationFramework
PTKernel
ObjMgt

# ObjMgt_SeqExplorerOfPSeqOfExtRef Class Reference

`#include <ObjMgt_SeqExplorerOfPSeqOfExtRef.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | ObjMgt_SeqExplorerOfPSeqOfExtRef (const Handle(ObjMgt_PSeqOfExtRef)&S)
Standard_EXPORT Handle_ObjMgt_ExternRef | Value (const Standard_Integer Index)
Standard_EXPORT Standard_Boolean | Contains (const Handle(ObjMgt_ExternRef)&T)
Standard_EXPORT Standard_Integer | Location (const Standard_Integer N, const Handle(ObjMgt_ExternRef)&T, const Standard_Integer FromIndex, const Standard_Integer ToIndex)
Standard_EXPORT Standard_Integer | Location (const Standard_Integer N, const Handle(ObjMgt_ExternRef)&T)

## Private Attributes

Handle_ObjMgt_SeqNodeOfPSeqOfExtRef | CurrentItem
Standard_Integer | CurrentIndex
Handle_ObjMgt_PSeqOfExtRef | TheSequence

## Constructor & Destructor Documentation

Standard_EXPORT ObjMgt_SeqExplorerOfPSeqOfExtRef::ObjMgt_SeqExplorerOfPSeqOfExtRef | ( | const Handle(ObjMgt_PSeqOfExtRef)& | S | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean ObjMgt_SeqExplorerOfPSeqOfExtRef::Contains | ( | const Handle(ObjMgt_ExternRef)& | T | ) |

Standard_EXPORT Standard_Integer ObjMgt_SeqExplorerOfPSeqOfExtRef::Location | ( | const Standard_Integer | N,
|  | const Handle(ObjMgt_ExternRef)& | T
| ) |

Standard_EXPORT Standard_Integer ObjMgt_SeqExplorerOfPSeqOfExtRef::Location | ( | const Standard_Integer | N,
|  | const Handle(ObjMgt_ExternRef)& | T,
|  | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

void ObjMgt_SeqExplorerOfPSeqOfExtRef::operator delete | ( | void * | anAddress | ) | `[inline]`

void* ObjMgt_SeqExplorerOfPSeqOfExtRef::operator new | ( | size_t | size | ) | `[inline]`

void* ObjMgt_SeqExplorerOfPSeqOfExtRef::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_ObjMgt_ExternRef ObjMgt_SeqExplorerOfPSeqOfExtRef::Value | ( | const Standard_Integer | Index | ) |

## Field Documentation

Standard_Integer ObjMgt_SeqExplorerOfPSeqOfExtRef::CurrentIndex `[private]`

Handle_ObjMgt_SeqNodeOfPSeqOfExtRef ObjMgt_SeqExplorerOfPSeqOfExtRef::CurrentItem `[private]`

Handle_ObjMgt_PSeqOfExtRef ObjMgt_SeqExplorerOfPSeqOfExtRef::TheSequence `[private]`

The documentation for this class was generated from the following file:

- ObjMgt_SeqExplorerOfPSeqOfExtRef.hxx